<div class="wrapper">
  <app-sidebar></app-sidebar>

  <!-- Page Content -->
  <div class="main">
    <main class="content">
      <div class="container-fluid p-0">

        <div class="text-center">
          <h1>Comparaison d'équipes</h1>
        </div>

        <ul class="nav justify-content-center nav-tab mb-3">
          <li class="nav-item" [class.active]="showDashboard">
            <a class="nav-link"  (click)=showDash()>Dashboard</a>
          </li>
          <li class="nav-item" [class.active]="!showDashboard">
            <a class="nav-link" (click)=showGraphs()>Graphiques</a>
          </li>
        </ul>

        <div *ngIf="showDashboard">
          <div class="card">
            <div class="card-body-table">
              <h3 class="mt-2 ml-2">Statistiques d'équipes</h3>
              <table mdbTable striped="true" hover="true" class="table table-stripped back-white" *ngIf="statsList">
                <thead class="thead-light">
                <tr>
                  <th [mdbTableSort]="statsList" sortBy="name" class="cursor-pointer">Equipe <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsList" sortBy="goalKeeperAverageRating" class="cursor-pointer">Goal <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsList" sortBy="defenseAverageRating" class="cursor-pointer">Défense <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsList" sortBy="midfielAveragedRating" class="cursor-pointer">Milieu <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsList" sortBy="attackAveragedRating" class="cursor-pointer">Attaque <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsList" sortBy="rotaldos" class="cursor-pointer">Rotaldos <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsList" sortBy="nbBadges" class="cursor-pointer">Badges <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsList" sortBy="averageRanking" class="cursor-pointer">Cl. Général <i class="material-icons">sort</i></th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let el of statsList; let i = index">
                  <td>{{el.name}}</td>
                  <td>{{el.goalKeeperAverageRating}}</td>
                  <td>{{el.defenseAverageRating}}</td>
                  <td>{{el.midfielAveragedRating}}</td>
                  <td>{{el.attackAveragedRating}}</td>
                  <td>{{el.rotaldos}}</td>
                  <td>{{el.nbBadges}}</td>
                  <td>{{el.averageRanking}}</td>
                </tr>
                <tr *ngIf="statsList.length == 0">
                  <td colspan="8"  class="back-white text-center" >
                    <div class="text-center mt-3">
                      <img src="/assets/img/main-loader.gif" height="40px" width="40px">
                    </div>
                    Chargement en cours...
                  </td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>



          <div class="card mt-5">
            <div class="card-body-table">
              <h3 class="mt-2 ml-2">Statistiques d'équipes adverses</h3>
              <table mdbTable striped="true" hover="true" class="table table-stripped back-white">
                <thead class="thead-light">
                <tr>
                  <th [mdbTableSort]="statsOpponentList" sortBy="name" class="cursor-pointer">Equipe <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsOpponentList" sortBy="goalKeeperAverageRating" class="cursor-pointer">Goal <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsOpponentList" sortBy="defenseAverageRating" class="cursor-pointer">Défense <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsOpponentList" sortBy="midfielAveragedRating" class="cursor-pointer">Milieu <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsOpponentList" sortBy="attackAveragedRating" class="cursor-pointer">Attaque <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsOpponentList" sortBy="rotaldos" class="cursor-pointer">Rotaldos <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsOpponentList" sortBy="nbBadges" class="cursor-pointer">Badges <i class="material-icons">sort</i></th>
                  <th [mdbTableSort]="statsOpponentList" sortBy="averageRanking" class="cursor-pointer">Cl. Général <i class="material-icons">sort</i></th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let el of statsOpponentList; let i = index">
                  <td>{{el.name}}</td>
                  <td>{{el.goalKeeperAverageRating}}</td>
                  <td>{{el.defenseAverageRating}}</td>
                  <td>{{el.midfielAveragedRating}}</td>
                  <td>{{el.attackAveragedRating}}</td>
                  <td>{{el.rotaldos}}</td>
                  <td>{{el.nbBadges}}</td>
                  <td>{{el.averageRanking}}</td>
                </tr>
                <tr *ngIf="statsOpponentList.length == 0">
                  <td colspan="8"  class="back-white text-center" >
                    <div class="text-center mt-3">
                      <img src="/assets/img/main-loader.gif" height="40px" width="40px">
                    </div>
                    Chargement en cours...
                  </td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>

        </div>

        <div class="row" *ngIf="!showDashboard">
          <div class="col-lg-9 col-md-9 col-xs-12">
            <div class="row">

              <div class="col-lg-6 col-md-6 col-xs-12">
                <h3>Notes de l'équipe</h3>
                <div style="display: block" class="border-rad-5 back-white pt-4 pb-4 pl-3 pr-3">
                  <canvas mdbChart *ngIf="teamDatasets"
                          [chartType]="'radar'"
                          [datasets]="teamDatasets"
                          [labels]="teamLabels"
                          [colors]="chartColors"
                          [options]="chartOptions"
                          [legend]="true"
                          (chartHover)="chartHovered($event)"
                          (chartClick)="chartClicked($event)">
                  </canvas>
                </div>
              </div>

              <div class="col-lg-6 col-md-6 col-xs-12">
                <h3>Notes de l'équipe adverse</h3>
                <div style="display: block" class="border-rad-5 back-white pt-4 pb-4 pl-3 pr-3">
                  <canvas mdbChart *ngIf="opponentTeamDatasets"
                          [chartType]="'radar'"
                          [datasets]="opponentTeamDatasets"
                          [labels]="teamLabels"
                          [colors]="chartColors"
                          [options]="chartOptions"
                          [legend]="true"
                          (chartHover)="chartHovered($event)"
                          (chartClick)="chartClicked($event)">
                  </canvas>
                </div>
              </div>

              <div class="col-lg-12 col-md-12 col-xs-12 mt-3">
                <h3>Classement général</h3>
                <div style="display: block" class="border-rad-5 back-white pt-4 pb-4 pl-3 pr-3">
                  <canvas mdbChart *ngIf="opponentTeamDatasets"
                          [chartType]="'bar'"
                          [datasets]="teamRankingDatasets"
                          [labels]="teamRankingChartLabels"
                          [colors]="barchartColors"
                          [options]="chartOptions"
                          [legend]="false"
                          (chartHover)="chartHovered($event)"
                          (chartClick)="chartClicked($event)">
                  </canvas>
                </div>
              </div>

              <div class="col-lg-12 col-md-12 col-xs-12 mt-3">
                <h3>Evolution du classement </h3>
                <div style="display: block" class="border-rad-5 back-white pt-4 pb-4 pl-3 pr-3">
                  <canvas mdbChart
                          [chartType]="'line'"
                          [datasets]="rankingHistoryDatasets"
                          [labels]="rankingHistoryLabels"
                          [colors]="lineChartColors"
                          [options]="chartOptions"
                          (chartHover)="chartHovered($event)"
                          (chartClick)="chartClicked($event)"
                          [legend]="true"
                  >
                  </canvas>
                </div>
              </div>

            </div>
          </div>

          <div class="col-lg-3 col-md-3 col-xs-12">
            <h2 class="mt-4 mb-3">Equipes</h2>
            <div class="card list-group">
              <a (click)=toggleActive(player)
                 class="list-group-item list-group-item-action d-flex justify-content-between player-link"
                 *ngFor="let player of statsList">
                {{player.name}}
                <div class="player-list-link">
                  <input type="checkbox" [checked]="player.active">
                </div>
              </a>
              <a (click)=toggleSelectionAll()
                 class="list-group-item list-group-item-action d-flex justify-content-between player-link font-weight-bold player-link-footer" >
                Sélectionner / déselectionner tout
                <div class="player-list-link">
                  <input type="checkbox" [checked]="selectAll">
                </div>
              </a>
            </div>
          </div>
        </div>


      </div>
    </main>
    <app-footerbar></app-footerbar>

  </div>

  <!-- /#page-content-wrapper -->
</div>

